diff --git a/python/voluptuous/voluptuous.py b/python/voluptuous/voluptuous.py
index 132c3c476f..e7d0787b58 100644
--- a/python/voluptuous/voluptuous.py
+++ b/python/voluptuous/voluptuous.py
@@ -1,4 +1,3 @@
-# encoding: utf-8
 #
 # Copyright (C) 2010-2013 Alec Thomas <alec@swapoff.org>
 # All rights reserved.
@@ -93,17 +92,12 @@ from contextlib import contextmanager
 from functools import wraps
 
 
-if sys.version_info >= (3,):
-    import urllib.parse as urlparse
-    long = int
-    unicode = str
-    basestring = str
-    ifilter = filter
-    iteritems = lambda d: d.items()
-else:
-    from itertools import ifilter
-    import urlparse
-    iteritems = lambda d: d.iteritems()
+import urllib.parse as urlparse
+long = int
+str = str
+str = str
+ifilter = filter
+iteritems = lambda d: list(d.items())
 
 
 __author__ = 'Alec Thomas <alec@swapoff.org>'
@@ -116,12 +110,12 @@ def raises(exc, msg=None, regex=None):
         yield
     except exc as e:
         if msg is not None:
-            assert str(e) == msg, '%r != %r' % (str(e), msg)
+            assert str(e) == msg, '{!r} != {!r}'.format(str(e), msg)
         if regex is not None:
-            assert re.search(regex, str(e)), '%r does not match %r' % (str(e), regex)
+            assert re.search(regex, str(e)), '{!r} does not match {!r}'.format(str(e), regex)
 
 
-class Undefined(object):
+class Undefined:
     def __nonzero__(self):
         return False
 
@@ -310,7 +304,7 @@ class VirtualPathComponent(str):
         return self.__str__()
 
 
-class Schema(object):
+class Schema:
     """A validation schema.
 
     The schema is a Python tree-like structure where nodes are pattern
@@ -348,7 +342,7 @@ class Schema(object):
         self._compiled = self._compile(schema)
 
     def __repr__(self):
-        return "<Schema(%s, extra=%s, required=%s) object at 0x%x>" % (
+        return "<Schema({}, extra={}, required={}) object at 0x{:x}>".format(
             self.schema, self._extra_to_name.get(self.extra, '??'),
             self.required, id(self))
 
@@ -367,7 +361,7 @@ class Schema(object):
             return lambda _, v: v
         if isinstance(schema, Object):
             return self._compile_object(schema)
-        if isinstance(schema, collections.Mapping):
+        if isinstance(schema, collections.abc.Mapping):
             return self._compile_dict(schema)
         elif isinstance(schema, list):
             return self._compile_list(schema)
@@ -376,7 +370,7 @@ class Schema(object):
         type_ = type(schema)
         if type_ is type:
             type_ = schema
-        if type_ in (bool, int, long, str, unicode, float, complex, object,
+        if type_ in (bool, int, int, str, str, float, complex, object,
                      list, dict, type(None)) or callable(schema):
             return _compile_scalar(schema)
         raise SchemaError('unsupported schema data type %r' %
@@ -387,15 +381,15 @@ class Schema(object):
         invalid_msg = invalid_msg or 'mapping value'
 
         # Keys that may be required
-        all_required_keys = set(key for key in schema
+        all_required_keys = {key for key in schema
                                 if key is not Extra
                                 and ((self.required and not isinstance(key, (Optional, Remove)))
-                                     or isinstance(key, Required)))
+                                     or isinstance(key, Required))}
 
         # Keys that may have defaults
-        all_default_keys = set(key for key in schema
+        all_default_keys = {key for key in schema
                                if isinstance(key, Required)
-                               or isinstance(key, Optional))
+                               or isinstance(key, Optional)}
 
         _compiled_schema = {}
         for skey, svalue in iteritems(schema):
@@ -517,9 +511,9 @@ class Schema(object):
         def validate_object(path, data):
             if (schema.cls is not UNDEFINED
                     and not isinstance(data, schema.cls)):
-                raise ObjectInvalid('expected a {0!r}'.format(schema.cls), path)
+                raise ObjectInvalid('expected a {!r}'.format(schema.cls), path)
             iterable = _iterate_object(data)
-            iterable = ifilter(lambda item: item[1] is not None, iterable)
+            iterable = filter(lambda item: item[1] is not None, iterable)
             out = base_validate(path, iterable, {})
             return type(data)(**out)
 
@@ -864,8 +858,7 @@ def _iterate_object(obj):
         # maybe we have named tuple here?
         if hasattr(obj, '_asdict'):
             d = obj._asdict()
-    for item in iteritems(d):
-        yield item
+    yield from iteritems(d)
     try:
         slots = obj.__slots__
     except AttributeError:
@@ -882,10 +875,10 @@ class Object(dict):
 
     def __init__(self, schema, cls=UNDEFINED):
         self.cls = cls
-        super(Object, self).__init__(schema)
+        super().__init__(schema)
 
 
-class Marker(object):
+class Marker:
     """Mark nodes for special treatment."""
 
     def __init__(self, schema, msg=None):
@@ -934,7 +927,7 @@ class Optional(Marker):
     {'key2': 'value'}
     """
     def __init__(self, schema, msg=None, default=UNDEFINED):
-        super(Optional, self).__init__(schema, msg=msg)
+        super().__init__(schema, msg=msg)
         self.default = default_factory(default)
 
 
@@ -974,7 +967,7 @@ class Exclusive(Optional):
     ...             'social': {'social_network': 'barfoo', 'token': 'tEMp'}})
     """
     def __init__(self, schema, group_of_exclusion, msg=None):
-        super(Exclusive, self).__init__(schema, msg=msg)
+        super().__init__(schema, msg=msg)
         self.group_of_exclusion = group_of_exclusion
 
 
@@ -1021,7 +1014,7 @@ class Inclusive(Optional):
     """
 
     def __init__(self, schema, group_of_inclusion, msg=None):
-        super(Inclusive, self).__init__(schema, msg=msg)
+        super().__init__(schema, msg=msg)
         self.group_of_inclusion = group_of_inclusion
 
 
@@ -1040,7 +1033,7 @@ class Required(Marker):
     {'key': []}
     """
     def __init__(self, schema, msg=None, default=UNDEFINED):
-        super(Required, self).__init__(schema, msg=msg)
+        super().__init__(schema, msg=msg)
         self.default = default_factory(default)
 
 
@@ -1059,11 +1052,11 @@ class Remove(Marker):
     [1, 2, 3, 5, '7']
     """
     def __call__(self, v):
-        super(Remove, self).__call__(v)
+        super().__call__(v)
         return self.__class__
 
     def __repr__(self):
-        return "Remove(%r)" % (self.schema,)
+        return "Remove({!r})".format(self.schema)
 
 
 def Extra(_):
@@ -1075,7 +1068,7 @@ def Extra(_):
 # deprecated object, so we just leave an alias here instead.
 extra = Extra
 
-class Msg(object):
+class Msg:
     """Report a user-friendly message if a schema fails to validate.
 
     >>> validate = Schema(
@@ -1123,7 +1116,7 @@ class Msg(object):
                 raise (self.cls or Invalid)(self.msg)
 
     def __repr__(self):
-        return 'Msg(%s, %s, cls=%s)' % (self._schema, self.msg, self.cls)
+        return 'Msg({}, {}, cls={})'.format(self._schema, self.msg, self.cls)
 
 
 def message(default=None, cls=None):
@@ -1192,7 +1185,7 @@ def truth(f):
     return check
 
 
-class Coerce(object):
+class Coerce:
     """Coerce a value to a type.
 
     If the type constructor throws a ValueError or TypeError, the value
@@ -1226,7 +1219,7 @@ class Coerce(object):
             raise CoerceInvalid(msg)
 
     def __repr__(self):
-        return 'Coerce(%s, msg=%r)' % (self.type_name, self.msg)
+        return 'Coerce({}, msg={!r})'.format(self.type_name, self.msg)
 
 
 @message('value was not true', cls=TrueInvalid)
@@ -1299,7 +1292,7 @@ def Boolean(v):
     ... except MultipleInvalid as e:
     ...   assert isinstance(e.errors[0], BooleanInvalid)
     """
-    if isinstance(v, basestring):
+    if isinstance(v, str):
         v = v.lower()
         if v in ('1', 'true', 'yes', 'on', 'enable'):
             return True
@@ -1309,7 +1302,7 @@ def Boolean(v):
     return bool(v)
 
 
-class Any(object):
+class Any:
     """Use the first validated value.
 
     :param msg: Message to deliver to user if validation fails.
@@ -1360,7 +1353,7 @@ class Any(object):
 Or = Any
 
 
-class All(object):
+class All:
     """Value must pass all validators.
 
     The output of each validator is passed as input to the next.
@@ -1387,7 +1380,7 @@ class All(object):
         return v
 
     def __repr__(self):
-        return 'All(%s, msg=%r)' % (
+        return 'All({}, msg={!r})'.format(
             ", ".join(repr(v) for v in self.validators),
             self.msg
         )
@@ -1397,7 +1390,7 @@ class All(object):
 And = All
 
 
-class Match(object):
+class Match:
     """Value must be a string that matches the regular expression.
 
     >>> validate = Schema(Match(r'^0x[A-F0-9]+$'))
@@ -1417,7 +1410,7 @@ class Match(object):
     """
 
     def __init__(self, pattern, msg=None):
-        if isinstance(pattern, basestring):
+        if isinstance(pattern, str):
             pattern = re.compile(pattern)
         self.pattern = pattern
         self.msg = msg
@@ -1432,10 +1425,10 @@ class Match(object):
         return v
 
     def __repr__(self):
-        return 'Match(%r, msg=%r)' % (self.pattern.pattern, self.msg)
+        return 'Match({!r}, msg={!r})'.format(self.pattern.pattern, self.msg)
 
 
-class Replace(object):
+class Replace:
     """Regex substitution.
 
     >>> validate = Schema(All(Replace('you', 'I'),
@@ -1445,7 +1438,7 @@ class Replace(object):
     """
 
     def __init__(self, pattern, substitution, msg=None):
-        if isinstance(pattern, basestring):
+        if isinstance(pattern, str):
             pattern = re.compile(pattern)
         self.pattern = pattern
         self.substitution = substitution
@@ -1455,7 +1448,7 @@ class Replace(object):
         return self.pattern.sub(self.substitution, v)
 
     def __repr__(self):
-        return 'Replace(%r, %r, msg=%r)' % (self.pattern.pattern,
+        return 'Replace({!r}, {!r}, msg={!r})'.format(self.pattern.pattern,
                                             self.substitution,
                                             self.msg)
 
@@ -1540,7 +1533,7 @@ def PathExists(v):
     return os.path.exists(v)
 
 
-class Range(object):
+class Range:
     """Limit a value to a range.
 
     Either min or max may be omitted.
@@ -1596,7 +1589,7 @@ class Range(object):
                                                self.msg))
 
 
-class Clamp(object):
+class Clamp:
     """Clamp a value to a range.
 
     Either min or max may be omitted.
@@ -1622,14 +1615,14 @@ class Clamp(object):
         return v
 
     def __repr__(self):
-        return 'Clamp(min=%s, max=%s)' % (self.min, self.max)
+        return 'Clamp(min={}, max={})'.format(self.min, self.max)
 
 
 class LengthInvalid(Invalid):
     pass
 
 
-class Length(object):
+class Length:
     """The length of a value must be in a certain range."""
 
     def __init__(self, min=None, max=None, msg=None):
@@ -1647,14 +1640,14 @@ class Length(object):
         return v
 
     def __repr__(self):
-        return 'Length(min=%s, max=%s)' % (self.min, self.max)
+        return 'Length(min={}, max={})'.format(self.min, self.max)
 
 
 class DatetimeInvalid(Invalid):
     """The value is not a formatted datetime string."""
 
 
-class Datetime(object):
+class Datetime:
     """Validate that the value matches the datetime format."""
 
     DEFAULT_FORMAT = '%Y-%m-%dT%H:%M:%S.%fZ'
@@ -1680,7 +1673,7 @@ class InInvalid(Invalid):
     pass
 
 
-class In(object):
+class In:
     """Validate that a value is in a collection."""
 
     def __init__(self, container, msg=None):
@@ -1697,14 +1690,14 @@ class In(object):
         return v
 
     def __repr__(self):
-        return 'In(%s)' % (self.container,)
+        return 'In({})'.format(self.container)
 
 
 class NotInInvalid(Invalid):
     pass
 
 
-class NotIn(object):
+class NotIn:
     """Validate that a value is not in a collection."""
 
     def __init__(self, container, msg=None):
@@ -1721,7 +1714,7 @@ class NotIn(object):
         return v
 
     def __repr__(self):
-        return 'NotIn(%s)' % (self.container,)
+        return 'NotIn({})'.format(self.container)
 
 
 def Lower(v):
@@ -1774,7 +1767,7 @@ def Strip(v):
     return str(v).strip()
 
 
-class DefaultTo(object):
+class DefaultTo:
     """Sets a value to default_value if none provided.
 
     >>> s = Schema(DefaultTo(42))
@@ -1795,10 +1788,10 @@ class DefaultTo(object):
         return v
 
     def __repr__(self):
-        return 'DefaultTo(%s)' % (self.default_value(),)
+        return 'DefaultTo({})'.format(self.default_value())
 
 
-class SetTo(object):
+class SetTo:
     """Set a value, ignoring any previous value.
 
     >>> s = Schema(Any(int, SetTo(42)))
@@ -1815,14 +1808,14 @@ class SetTo(object):
         return self.value()
 
     def __repr__(self):
-        return 'SetTo(%s)' % (self.value(),)
+        return 'SetTo({})'.format(self.value())
 
 
 class ExactSequenceInvalid(Invalid):
     pass
 
 
-class ExactSequence(object):
+class ExactSequence:
     """Matches each element in a sequence against the corresponding element in
     the validators.
 
@@ -1857,14 +1850,14 @@ class ExactSequence(object):
                                                   for v in self.validators))
 
 
-class Literal(object):
+class Literal:
     def __init__(self, lit):
         self.lit = lit
 
     def __call__(self, value, msg=None):
         if self.lit != value:
             raise LiteralInvalid(
-                msg or '%s not match for %s' % (value, self.lit)
+                msg or '{} not match for {}'.format(value, self.lit)
             )
         else:
             return self.lit
@@ -1876,7 +1869,7 @@ class Literal(object):
         return repr(self.lit)
 
 
-class Unique(object):
+class Unique:
     """Ensure an iterable does not contain duplicate items.
 
     Only iterables convertable to a set are supported (native types and
@@ -1910,19 +1903,19 @@ class Unique(object):
             set_v = set(v)
         except TypeError as e:
             raise TypeInvalid(
-                self.msg or 'contains unhashable elements: {0}'.format(e))
+                self.msg or 'contains unhashable elements: {}'.format(e))
         if len(set_v) != len(v):
             seen = set()
-            dupes = list(set(x for x in v if x in seen or seen.add(x)))
+            dupes = list({x for x in v if x in seen or seen.add(x)})
             raise Invalid(
-                self.msg or 'contains duplicate items: {0}'.format(dupes))
+                self.msg or 'contains duplicate items: {}'.format(dupes))
         return v
 
     def __repr__(self):
         return 'Unique()'
 
 
-class Set(object):
+class Set:
     """Convert a list into a set.
 
     >>> s = Schema(Set())
@@ -1942,7 +1935,7 @@ class Set(object):
             set_v = set(v)
         except Exception as e:
             raise TypeInvalid(
-                self.msg or 'cannot be presented as set: {0}'.format(e))
+                self.msg or 'cannot be presented as set: {}'.format(e))
         return set_v
 
     def __repr__(self):
diff --git a/python/which/build.py b/python/which/build.py
index 3c8f09d39e..6f388c953b 100644
--- a/python/which/build.py
+++ b/python/which/build.py
@@ -22,6 +22,7 @@
     attributes).
 """
 
+from __future__ import print_function
 import os
 from os.path import basename, dirname, splitext, isfile, isdir, exists, \
                     join, abspath, normpath
@@ -129,7 +130,7 @@ def _run_in_dir(cmd, cwd, logstream=_RUN_DEFAULT_LOGSTREAM):
 def _rmtree_OnError(rmFunction, filePath, excInfo):
     if excInfo[0] == OSError:
         # presuming because file is read-only
-        os.chmod(filePath, 0777)
+        os.chmod(filePath, 0o777)
         rmFunction(filePath)
 def _rmtree(dirname):
     import shutil
@@ -192,12 +193,12 @@ def _listTargets(targets):
         nameWidth = max(nameWidth, len(name))
     nameWidth += 2  # space btwn name and doc
     format = "%%-%ds%%s" % nameWidth
-    print format % ("TARGET", "DESCRIPTION")
+    print((format % ("TARGET", "DESCRIPTION")))
     for name, func in sorted(targets.items()):
         doc = _first_paragraph(func.__doc__ or "", True)
         if len(doc) > (width - nameWidth):
             doc = doc[:(width-nameWidth-3)] + "..."
-        print format % (name, doc)
+        print((format % (name, doc)))
 
 
 # Recipe: first_paragraph (1.0.1) in /Users/trentm/tm/recipes/cookbook
@@ -234,7 +235,7 @@ def target_clean():
     ver = _get_project_version()
     dirs = ["dist", "build", "%s-%s" % (_project_name_, ver)]
     for d in dirs:
-        print "removing '%s'" % d
+        print(("removing '%s'" % d))
         if os.path.isdir(d): _rmtree(d)
 
     patterns = ["*.pyc", "*~", "MANIFEST",
@@ -243,7 +244,7 @@ def target_clean():
                ]
     for pattern in patterns:
         for file in glob.glob(pattern):
-            print "removing '%s'" % file
+            print(("removing '%s'" % file))
             os.unlink(file)
 
 
@@ -360,8 +361,8 @@ def target_upload():
 
     # Ensure have all the expected bits.
     expectedBits = [
-        re.compile("%s-.*\.zip$" % _project_name_),
-        re.compile("%s-.*\.web$" % _project_name_)
+        re.compile(r"%s-.*\.zip$" % _project_name_),
+        re.compile(r"%s-.*\.web$" % _project_name_)
     ]
     for expectedBit in expectedBits:
         for bit in bits:
@@ -409,13 +410,13 @@ def build(targets=[]):
     log.debug("build(targets=%r)" % targets)
     available = _getTargets()
     if not targets:
-        if available.has_key('default'):
+        if 'default' in available:
             return available['default']()
         else:   
             log.warn("No default target available. Doing nothing.")
     else:
         for target in targets:
-            if available.has_key(target):
+            if target in available:
                 retval = available[target]()
                 if retval:
                     raise Error("Error running '%s' target: retval=%s"\
diff --git a/python/which/test/test_which.py b/python/which/test/test_which.py
index b569769897..7698993b51 100644
--- a/python/which/test/test_which.py
+++ b/python/which/test/test_which.py
@@ -41,7 +41,7 @@ class WhichTestCase(unittest.TestCase):
         for app in self.testapps:
             path = os.path.join(self.tmpdir, app)
             open(path, 'wb').write('\n')
-            os.chmod(path, 0755)
+            os.chmod(path, 0o755)
 
     def tearDown(self):
         testsupport.rmtree(self.tmpdir)
@@ -66,7 +66,7 @@ class WhichTestCase(unittest.TestCase):
 
     def test_opt_version(self):
         output, error, retval = testsupport.run(self.which+' --version')
-        versionRe = re.compile("^which \d+\.\d+\.\d+$")
+        versionRe = re.compile(r"^which \d+\.\d+\.\d+$")
         versionMatch = versionRe.search(output.strip())
         self.failUnless(versionMatch,
                         "Version, '%s', from 'which --version' does not "\
diff --git a/python/which/test/testsupport.py b/python/which/test/testsupport.py
index 8ff519fada..2fdbd60e96 100644
--- a/python/which/test/testsupport.py
+++ b/python/which/test/testsupport.py
@@ -37,7 +37,7 @@ def run(argv):
     results.  Returns (<stdout lines>, <stderr lines>, <return value>).
     Note: 'argv' may also just be the command string.
     """
-    if type(argv) in (types.ListType, types.TupleType):
+    if type(argv) in (list, tuple):
         cmd = _joinArgv(argv)
     else:
         cmd = argv
@@ -73,7 +73,7 @@ def run(argv):
 def _rmtreeOnError(rmFunction, filePath, excInfo):
     if excInfo[0] == OSError:
         # presuming because file is read-only
-        os.chmod(filePath, 0777)
+        os.chmod(filePath, 0o777)
         rmFunction(filePath)
 
 def rmtree(dirname):
diff --git a/python/which/which.py b/python/which/which.py
index 8dd790518a..fec39731ec 100644
--- a/python/which/which.py
+++ b/python/which/which.py
@@ -33,6 +33,7 @@ of where the match was found. For example:
     from HKLM\SOFTWARE\...\perl.exe
 """
 
+from __future__ import print_function
 _cmdlnUsage = """
     Show the full path of commands.
 
@@ -90,13 +91,13 @@ def _getRegisteredExecutable(exeName):
     if sys.platform.startswith('win'):
         if os.path.splitext(exeName)[1].lower() != '.exe':
             exeName += '.exe'
-        import _winreg
+        import winreg
         try:
             key = "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths\\" +\
                   exeName
-            value = _winreg.QueryValue(_winreg.HKEY_LOCAL_MACHINE, key)
+            value = winreg.QueryValue(winreg.HKEY_LOCAL_MACHINE, key)
             registered = (value, "from HKLM\\"+key)
-        except _winreg.error:
+        except winreg.error:
             pass
         if registered and not os.path.exists(registered[0]):
             registered = None
@@ -243,7 +244,7 @@ def which(command, path=None, verbose=0, exts=None):
     If no match is found for the command, a WhichError is raised.
     """
     try:
-        match = whichgen(command, path, verbose, exts).next()
+        match = next(whichgen(command, path, verbose, exts))
     except StopIteration:
         raise WhichError("Could not find '%s' on the path." % command)
     return match
@@ -280,17 +281,17 @@ def main(argv):
     try:
         optlist, args = getopt.getopt(argv[1:], 'haVvqp:e:',
             ['help', 'all', 'version', 'verbose', 'quiet', 'path=', 'exts='])
-    except getopt.GetoptError, msg:
+    except getopt.GetoptError as msg:
         sys.stderr.write("which: error: %s. Your invocation was: %s\n"\
                          % (msg, argv))
         sys.stderr.write("Try 'which --help'.\n")
         return 1
     for opt, optarg in optlist:
         if opt in ('-h', '--help'):
-            print _cmdlnUsage
+            print(_cmdlnUsage)
             return 0
         elif opt in ('-V', '--version'):
-            print "which %s" % __version__
+            print(("which %s" % __version__))
             return 0
         elif opt in ('-a', '--all'):
             all = 1
@@ -318,9 +319,9 @@ def main(argv):
         nmatches = 0
         for match in whichgen(arg, path=altpath, verbose=verbose, exts=exts):
             if verbose:
-                print "%s (%s)" % match
+                print(("%s (%s)" % match))
             else:
-                print match
+                print(match)
             nmatches += 1
             if not all:
                 break
diff --git a/security/generate_mapfile.py b/security/generate_mapfile.py
index 4479553bf8..289e176370 100644
--- a/security/generate_mapfile.py
+++ b/security/generate_mapfile.py
@@ -13,16 +13,17 @@
 # but the Mozilla build system is already running a Python script to generate
 # the file so it's simpler to just do the replacement in Python.
 
+from __future__ import print_function
 import buildconfig
 
 
 def main(output, input):
     if buildconfig.substs['OS_ARCH'] not in ('Linux', 'SunOS', 'Darwin', 'FreeBSD'):
-        print "Error: unhandled OS_ARCH %s" % buildconfig.substs['OS_ARCH']
+        print("Error: unhandled OS_ARCH %s" % buildconfig.substs['OS_ARCH'])
         return 1
     is_linux = buildconfig.substs['OS_ARCH'] in ('Linux', 'SunOS', 'FreeBSD')
 
-    with open(input, 'rb') as f:
+    with open(input, 'r') as f:
         for line in f:
             line = line.rstrip()
             # Remove all lines containing ';-'
diff --git a/security/manager/ssl/tests/unit/pycert.py b/security/manager/ssl/tests/unit/pycert.py
index 9c8efa915c..00e0f1a0dd 100755
--- a/security/manager/ssl/tests/unit/pycert.py
+++ b/security/manager/ssl/tests/unit/pycert.py
@@ -81,6 +81,7 @@ If a serial number is not explicitly specified, it is automatically
 generated based on the contents of the certificate.
 """
 
+from __future__ import print_function
 from pyasn1.codec.der import decoder
 from pyasn1.codec.der import encoder
 from pyasn1.type import constraint, namedtype, tag, univ, useful
@@ -694,4 +695,4 @@ def main(output, inputPath):
 # When run as a standalone program, this will read a specification from
 # stdin and output the certificate as PEM to stdout.
 if __name__ == '__main__':
-    print Certificate(sys.stdin).toPEM()
+    print(Certificate(sys.stdin).toPEM())
